#!/bin/sh

set -e

base_splash=/usr/share/plymouth/themes/steamos/steam.png
branding_image=$(find /usr/share/steamos_branding/ -type f | head -1)
target_splash=/usr/share/plymouth/themes/steamos/steamos_branded.png
efi_dir=/boot/efi/EFI/steamos

if [ "$branding_image" != "" ]; then
	composite "$branding_image" "$base_splash" "$target_splash"
else
	cp "$base_splash" "$target_splash"
fi

if [ -d "$efi_dir" ]; then
	cp "$target_splash" "$efi_dir"/steamos.png
fi

if [ -x /usr/sbin/update-initramfs ]; then
	update-initramfs -u
fi

